Index: aim.c
===================================================================
--- aim.c	(revision 1fdca1ba004d56eb347146421fd728b822931f1d)
+++ aim.c	(revision e9c6fc846b34351def7ebc5bf8e5c770d514cc14)
@@ -192,5 +192,6 @@
 }
 
-void owl_aim_unset_ignorelogin(owl_timer *t, void *data) {      /* noproto */
+static void owl_aim_unset_ignorelogin(owl_timer *t, void *data)
+{
     owl_global_unset_ignore_aimlogin(&g);
 }
@@ -257,5 +258,5 @@
 #define AIM_CHARSET_UNICODE            0x0002
 
-int owl_aim_do_send(const char *to, const char *msg, int flags) /* noproto */
+static int owl_aim_do_send(const char *to, const char *msg, int flags)
 {
   int ret;
Index: editwin.c
===================================================================
--- editwin.c	(revision e8074edbe022448163ee0e2295ffcb2e216730ad)
+++ editwin.c	(revision e9c6fc846b34351def7ebc5bf8e5c770d514cc14)
@@ -786,5 +786,5 @@
 }
 
-int owl_editwin_at_beginning_of_line(owl_editwin *e) /*noproto*/
+static int owl_editwin_at_beginning_of_line(owl_editwin *e)
 {
   oe_excursion x;
Index: fmtext.c
===================================================================
--- fmtext.c	(revision 1ee5c79201bda5ae7debf1c06a41c4813cebb496)
+++ fmtext.c	(revision e9c6fc846b34351def7ebc5bf8e5c770d514cc14)
@@ -26,5 +26,5 @@
 }
 
-void _owl_fmtext_realloc(owl_fmtext *f, int newlen) /*noproto*/
+static void _owl_fmtext_realloc(owl_fmtext *f, int newlen)
 {
     if(newlen + 1 > f->bufflen) {
@@ -144,5 +144,5 @@
 
 /* Internal function. Parse attrbute character. */
-void _owl_fmtext_update_attributes(gunichar c, char *attr, short *fgcolor, short *bgcolor) /*noproto*/
+static void _owl_fmtext_update_attributes(gunichar c, char *attr, short *fgcolor, short *bgcolor)
 {
   if ((c & OWL_FMTEXT_UC_ATTR) == OWL_FMTEXT_UC_ATTR) {
@@ -164,5 +164,5 @@
 
 /* Internal function. Scan for attribute characters. */
-void _owl_fmtext_scan_attributes(const owl_fmtext *f, int start, char *attr, short *fgcolor, short *bgcolor) /*noproto*/
+static void _owl_fmtext_scan_attributes(const owl_fmtext *f, int start, char *attr, short *fgcolor, short *bgcolor)
 {
   const char *p;
@@ -178,5 +178,5 @@
  * bytes.
  */
-void _owl_fmtext_append_fmtext(owl_fmtext *f, const owl_fmtext *in, int start, int stop) /*noproto*/
+static void _owl_fmtext_append_fmtext(owl_fmtext *f, const owl_fmtext *in, int start, int stop)
 {
   char attrbuff[6];
@@ -241,5 +241,5 @@
 }
 
-void _owl_fmtext_wattrset(WINDOW *w, int attrs) /*noproto*/
+static void _owl_fmtext_wattrset(WINDOW *w, int attrs)
 {
   wattrset(w, A_NORMAL);
@@ -249,5 +249,5 @@
 }
 
-void _owl_fmtext_update_colorpair(short fg, short bg, short *pair) /*noproto*/
+static void _owl_fmtext_update_colorpair(short fg, short bg, short *pair)
 {
   if (owl_global_get_hascolors(&g)) {
@@ -256,5 +256,5 @@
 }
 
-void _owl_fmtext_wcolor_set(WINDOW *w, short pair) /*noproto*/
+static void _owl_fmtext_wcolor_set(WINDOW *w, short pair)
 {
   if (owl_global_get_hascolors(&g)) {
@@ -267,5 +267,5 @@
  * must already be initiatlized with curses
  */
-void _owl_fmtext_curs_waddstr(const owl_fmtext *f, WINDOW *w, int do_search) /*noproto*/
+static void _owl_fmtext_curs_waddstr(const owl_fmtext *f, WINDOW *w, int do_search)
 {
   /* char *tmpbuff; */
Index: list.c
===================================================================
--- list.c	(revision 0f15f12ab716d2a95fb48da6454a3434b88e1d09)
+++ list.c	(revision e9c6fc846b34351def7ebc5bf8e5c770d514cc14)
@@ -20,5 +20,5 @@
 
 
-void owl_list_grow(owl_list *l, int n) /*noproto*/
+static void owl_list_grow(owl_list *l, int n)
 {
   void *ptr;
Index: message.c
===================================================================
--- message.c	(revision ba88ae7cb3b174b108b29aeb3ff5602b8bfd2871)
+++ message.c	(revision e9c6fc846b34351def7ebc5bf8e5c770d514cc14)
@@ -23,5 +23,5 @@
 }
 
-owl_fmtext_cache *owl_message_next_fmtext(void) /*noproto*/
+static owl_fmtext_cache *owl_message_next_fmtext(void)
 {
     owl_fmtext_cache * f = fmtext_cache_next;
Index: obarray.c
===================================================================
--- obarray.c	(revision 8bce7509d1604b4a0f8af6f6fb6fa6af7aa8d1d1)
+++ obarray.c	(revision e9c6fc846b34351def7ebc5bf8e5c770d514cc14)
@@ -14,5 +14,5 @@
  * the index it should be inserted at.
  */
-int owl_obarray_lookup(const owl_obarray *oa, const char * key, const char ** val) /*noproto*/
+static int owl_obarray_lookup(const owl_obarray *oa, const char *key, const char **val)
 {
   int first, last, mid;
Index: tester.c
===================================================================
--- tester.c	(revision 4cc02605995bbca1c471a2e72d1cb9ba2b42b7f9)
+++ tester.c	(revision e9c6fc846b34351def7ebc5bf8e5c770d514cc14)
@@ -195,5 +195,6 @@
 }
 
-int owl_filter_test_string(const char * filt, const owl_message *m, int shouldmatch) /* noproto */ {
+static int owl_filter_test_string(const char *filt, const owl_message *m, int shouldmatch)
+{
   owl_filter *f;
   int ok;
Index: zephyr.c
===================================================================
--- zephyr.c	(revision 18fdd5f9be6de827a19aceb95d4769058b145869)
+++ zephyr.c	(revision e9c6fc846b34351def7ebc5bf8e5c770d514cc14)
@@ -1307,5 +1307,5 @@
 #define OWL_MAX_ZEPHYRGRAMS_TO_PROCESS 20
 
-int _owl_zephyr_process_events(void) /* noproto */
+static int _owl_zephyr_process_events(void)
 {
   int zpendcount=0;
